package com.ruoyi.project.reliability.domain;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 装置经验数据库对象 t_device_experience
 *
 * @author ruoyi
 * @date 2022-07-07
 */
public class TDeviceExperience extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一ID */
    private Long id;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 状态 1 ：正常 ；0：删除 */
    private Long delFlag;

    /** 事件 */
    @Excel(name = "事件")
    private String event;

    /** 处理经过 */
    @Excel(name = "处理经过")
    private String handleProcess;

    /** 处理结果 */
    @Excel(name = "处理结果")
    private String handleResult;

    /** 获得经验 */
    @Excel(name = "获得经验")
    private String experience;

    /** 事故报告链接 */
    @Excel(name = "事故报告链接")
    private String accidentReportLink;

    /** 专家评价 */
    @Excel(name = "专家评价")
    private String expertEvaluation;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setEvent(String event)
    {
        this.event = event;
    }

    public String getEvent()
    {
        return event;
    }
    public void setHandleProcess(String handleProcess)
    {
        this.handleProcess = handleProcess;
    }

    public String getHandleProcess()
    {
        return handleProcess;
    }
    public void setHandleResult(String handleResult)
    {
        this.handleResult = handleResult;
    }

    public String getHandleResult()
    {
        return handleResult;
    }
    public void setExperience(String experience)
    {
        this.experience = experience;
    }

    public String getExperience()
    {
        return experience;
    }
    public void setAccidentReportLink(String accidentReportLink)
    {
        this.accidentReportLink = accidentReportLink;
    }

    public String getAccidentReportLink()
    {
        return accidentReportLink;
    }
    public void setExpertEvaluation(String expertEvaluation)
    {
        this.expertEvaluation = expertEvaluation;
    }

    public String getExpertEvaluation()
    {
        return expertEvaluation;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("event", getEvent())
            .append("handleProcess", getHandleProcess())
            .append("handleResult", getHandleResult())
            .append("experience", getExperience())
            .append("accidentReportLink", getAccidentReportLink())
            .append("expertEvaluation", getExpertEvaluation())
            .toString();
    }
}
